
Redmine - Patch #31899

Improve MailHandler logging for unauthorized attempts

2019-08-14 16:23 - Gustavo Regal

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.1.0   

Description

I usually struggle to understand the root cause when one e-mail fails tu be processed.

What I do in those situations is to read production.log and search for "MailHandler:" entries.

It is not unusual to find only one entry, saying:

MailHandler: Message <id> cannot be processed

 So I started this improvement, which already allowed to find out that, in a given case, the issue could not be created because the

user didn't have permission to create it under that given project. In fact, the user had sent an e-mail to the wrong recipient (missed

the sub-address).

Associated revisions

Revision 18404 - 2019-08-27 17:42 - Go MAEDA

Improve MailHandler logging for unauthorized attempts (#31899).

Patch by Gustavo Regal.

History

#1 - 2019-08-15 04:20 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#2 - 2019-08-27 09:21 - Go MAEDA

- File 31899-v2.patch added

Slightly updated the patch.

#3 - 2019-08-27 13:01 - Go MAEDA

- Subject changed from Improve MailHandler logging to Improve MailHandler logging for unauthorized attempts

#4 - 2019-08-27 17:42 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for improving Redmine.

Files

MailLogger_cause_logging_improvement.diff 1.61 KB 2019-08-14 Gustavo Regal

31899-v2.patch 1.75 KB 2019-08-27 Go MAEDA
